%global drupalver 6
%{?rhel: %{expand: %%global drupal drupal%%{drupalver}}}
%if 0%{?fedora} >= 15
%global drupal drupal%{drupalver}
%endif
%{!?drupal: %{expand: %%global drupal drupal}}
# e.g. "/usr/share/drupal6"
%global drupalbase           %{_datadir}/%{drupal}
%global drupal_sites_all    %{drupalbase}/sites/all        
%global drupal_modules      %{drupal_sites_all}/modules
# Use upstream name as expressed in URL and tarball
%global modname             context

Name:    drupal%{drupalver}-%{modname}
Version: 3.3
Release: 3%{?dist}
Summary: Context Module for Drupal6
Group:   Applications/Publishing
License: GPLv2
URL:     http://drupal.org/project/%{modname}
Source0: http://ftp.drupal.org/files/projects/%{modname}-%{drupalver}.x-%{version}.tar.gz
Source1: %{name}-fedora-README.txt
Source2: LICENSE.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal6

%description
Context allows you to manage contextual conditions and reactions for 
different portions of your site.

%prep
%setup -qn %{modname}

%build
cp %{SOURCE1} .
cp %{SOURCE2} .


%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupal_modules}/%{modname}
find . -type f -exec install -m 0644 -D '{}' %{buildroot}%{drupal_modules}/%{modname}/'{}' \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
# Remember to include other documentation text here as well
%doc  %{name}-fedora-README.txt
%doc  LICENSE.txt 
# Remember to exclude all documentation texts from above
%exclude %{drupal_modules}/%{modname}/%{name}-fedora-README.txt
%exclude %{drupal_modules}/%{modname}/LICENSE.txt
%{drupal_modules}/%{modname}

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Nov 13 2013 Jon Ciesla <limburgher@gmail.com> - 3.3-1
- Update to latest, SA-CONTRIB-2013-079, BZ 1020780,
- BZ 1020783, BZ 1020256.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jan 3 2013 Anderson Silva <ansilva@redhat.com> - 3.1-1
- CVE-2012-5655 - Upstream update 

* Mon Jun 4 2012 Anderson Silva <ansilva@redhat.com> - 3.0-3
- LICENSE.txt with updated FSF address
- Updated Description

* Fri Mar 9 2012 Anderson Silva <ansilva@redhat.com> - 3.0-2
- Update spec to comply with Fedora Packaging

* Mon Mar 5 2012 Anderson Silva <ansilva@redhat.com> - 3.0-1
- Initial rpm package
